Installing Debian GNU/Linux 4.0r9

Debian GNU/Linux 4.0 a fost înlocuit cu Debian GNU/Linux 5.0 (lenny). E posibil ca unele din aceste imagini de instalare să nu mai fie disponibile sau să nu mai funcționeze. Vă recomandăm să instalați lenny în schimb.

Pentru a instala Debian GNU/Linux 4.0r9 (etch), descărcați oricare din aceste imagini:

imagine CD netinst (în general 135-175 MB)

imagine CD tip businesscard (în general 20-50 MB)

alte imagini (netboot, stick usb, etc.)

Note

Documentație

Dacă citiți un singur document înainte de instalare, atunci citiți Îndrumătorul de instalare, o descriere scurtă a procedeului de instalare. Alte documente utile sunt:

Erata

Aceasta este o listă cu probleme în programul de instalare livrat împreună cu Debian GNU/Linux 4.0r9. Dacă aveți o problemă la instalarea Debian și nu o vedeți afișată aici vă rugăm să ne trimiteți un raport de instalare cu descrierea problemei sau căutați în wiki alte probleme cunoscute.

Erata pentru versiunea 4.0r3

Această versiune repară cele două probleme afișate mai jos pentru 4.0r2.

Erata pentru versiunea 4.0r2

Această versiune repară problema configurarea consolei seriale cu GRUB afișată mai jos pentru versiunea 4.0r0.

Din cauza unei scăpări programul de instalare nu folosește versiunea de nucleu lansată împreună cu 4.0r2 ci o versiune puțin mai veche (2.6.18.dfsg.1-13). Modulele încărcate ulterior ar putea aparține unei versiuni ulterioare (2.6.18.dfsg.1-16), dar pentru că cele două versiuni sunt compatibile ABI acest fapt nu ar trebui să cauzeze probleme.

Din acest motiv, suportul pentru calculatoare Nevada SGI O2 menținat în anunțul de lansare nu este inclus în această versiune.

Aceste două probleme vor fi corectate cu ocazia următoarei versiuni intermediare pentru Etch.

Erata pentru versiunea 4.0r1

Această versiune repară mai multe probleme prezente în versiunea 4.0r0. Vor fi detectate mai multe unități CD USB și gksu va fi configurat corect la instalarea cu contul root dezactivat (modul sudo). Acum este posibilă și crearea de sisteme de fișiere ext2 pe amd64.

Lista de situri-oglindă a fost actualizată, împreună cu traducerea în catalană și română pentru programul de partiționare.

Odată cu actualizarea de nucleu din această versiune, anumite imagini lansate inițial cu etch 4.0r0 (netboot și floppy) nu vor mai funcționa datorită nepotrivirii între versiunile de nucleu. Instalările pe bază de CD nu sunt afectate.

Erata pentru versiunea 4.0r0

Dispozitivele disk ar putea fi interschimbate
Pe sisteme cu mai multe controloare de discuri, nucleul/udev ar putea aloca noduri de dispozitiv diferite decât cele folosite în timpul instalării, datorită încărcării în altă ordine a driverelor.
Acest lucru ar putea duce la imposibilitatea de a încărca sistemul. În cele mai multe cazuri acest lucru se poate corecta modificând configurația încărcătorului de sistem și /etc/fstab, folosind modul „rescue” al programului de instalare.
Totuși această problemă poate apărea din nou la porniri ulterioare. Rezolvarea acestei probleme are prioritate pentru următoarea lansare a programului de instalare Debian.
Redimensionarea partițiilor ext3 existente ar putea eșua
În acest moment programul de instalare nu poate redimensiona partiții ext3 care au activate opțiunile dir_index și/sau resize_inode. Acestea includ partiții ext3 create cu programul de instalare Etch.
Totuși acestea pot fi redimensionate manual în timpul instalării. Avansați până la etapa de partiționare, folosiți butonul <Înapoi> pentru a ieși în meniul principal și porniți o consolă. Sistemul de fișiere și partiția se pot redimensiona folosind comenzile disponibile în consolă (fsck.ext3, resize2fs și de ex. fdisk sau parted). Dacă porniți din nou partman după încheierea operațiunii de redimensionare, acesta ar trebui să afișeze noua dimensiune a partiției.
Eroare la folosirea criptării loop-aes în timpul instalării hd-media
Dacă în timpul instalării cu imagini hd-media (de ex. de pe stick USB) se folosește criptare loop-aes aceasta ar putea eșua cu următorul mesaj (sau unul similar) în syslog (#434027 ):
partman-crypto: ioctl: LOOP_SET_STATUS: Invalid argument, requested cipher or key length (256 bits) not supported by kernel.
Această problemă este cauzată de montarea imaginii CD cu modulul loop obișnuit, ceea ce împiedică încărcarea ulterioară a modulului loop-aes. Este posibil să ocoliți această problemă prin demontarea manuală a imaginii CD, descărcarea modulului loop și încărcarea modulului loop-aes. După aceea puteți monta din nou imaginea CD.
Instalare incompletă a suitei Desktop de pe CD-ul complet
Imaginea CD completă este prea mică pentru a conține toate packetele necesarea pentru instalarea completă a suitei Desktop. Aceasta înseamnă că doar o parte a suitei va fi instalată.
Puteți remedia această problemă în timpul instalării, dacă alegeți folosirea unui sit-oglindă ca sursă suplimentară de instalare a pachetelor (nu este recomandat dacă nu dispuneți de o conexiune decentă la internet), sau după repornirea în sistemul instalat, folosind apt-cdrom pentru a încărca CD-uri adiționale și selectând din nou suita Desktop în aptitude.
Rutere defecte pot cauza probleme de rețea
Probleme cu rețeaua în timpul instalării pot fi cauzate de un ruter de pe traseul spre situl-oglindă Debian care nu interpretează corect scalarea de fereastră (eng. window scaling). Vedeți #401435 și acest articol kerneltrap pentru detalii.
Puteți ocoli această problemă dacă dezactivați scalarea de fereastră TCP. Activați o consolă și introduceți următoarea comandă:
echo 0 > /proc/sys/net/ipv4/tcp_window_scaling
Pentru sistemul instalat nu ar trebui să dezactivați complet scalarea de fereastră TCP. Următoarea comandă va configura domenii pentru scriere și citire care ar trebui să funcționeze cu orice ruter:
echo 4096 65536 65536 >/proc/sys/net/ipv4/tcp_rmem
echo 4096 65536 65536 >/proc/sys/net/ipv4/tcp_wmem
Probleme după repornire datorită configurației UTF-8 implicite
Sistemul instalat este acum configurat implicit pe UTF-8. Totuși mai există aplicații care încă nu suportă corect UTF-8. Din această cauză pot rezulta probleme mai mici sau mai mari în utilizarea lor.
Vă rugăm verificați dacă asemenea probleme au fost deja raportate. Dacă nui, vă rugăm să trimiteți un raport de problemă pentru pachetul respectiv (nu pentru instalator).
Localizare limitată a sistemului instalat
În versiunuea Sarge a programului de instalare pachetul localization-config era responsabil pentru o parte a localizării sistemului instalat. Acest pachet era folosit ca parte a base-config, acesta din urmă fiind scos în această versiune. Adaptarea localization-config pentru a rula înainte de repornire este pe lista de priorități, dar între timp anumite localizări nu se pot face automat dacă instalați în alte limbi decât engleza.
Instalarea versiunii Sarge nu este suportată
Ca rezultat a unor schimbări structurale în instalator, instalarea versiunii Sarge (oldstable) nu este suportată.
Instalatorul grafic
Instalatorul grafic are unele probleme cunoscute (vedeți și Îndrumătorul de instalare):
  • Anumite mapări de tastatură non-US nu sunt suportate în întregime (tastele moarte și combinarea de caractere nu funcționează)
  • Touchpadurile ar trebui să funcționeze, deși suportul nu este optim. Dacă aveți probleme ar trebui să folosiți un mouse extern în schimb.
  • suport limitat pentru crearea de partiții criptate
  • ar trebui să funcționeze cu toate sistemele PowerPC care folosesc o placă grafică ATI, dar e puțin probabil să funcționeze cu alte sisteme PowerPC
Avertizare falsă despre lipsa unei partiții swap la instalarea suitei laptop
La instalarea suitei laptop va fi afișată o avertizare falsă de către pachetul uswsusp conform căreia nu a fost găsită o partiție swap și suspendarea software nu va funcționa (eng. No swap partition found; userspace software suspend will not work). Aceasta este o avertizare incorectă iar suspendarea software a sistemului ar trebui să funcționeze corect. Vedeți și raportul de problemă #427104.
Driverul sky2 pentru rețea este defect
Driverul sky2 pentru rețea este defect în nucleul folosit în instalator (2.6.18.dfsg.1-11) și poate cauza o panică de nucleu. Vedeți de exemplu #404107. #411115 conține o serie de petice care ar putea repara problema.
i386/amd64: configurarea consolei seriale cu GRUB
Există probleme cu modul în care programul de instalare încearcă să configureze GRUB pentru a folosi o consolă serială. Toate detaliile pot fi găsite în raportul de problemă #416310. Pe scurt, aceste probleme pot fi rezolvate dacă vă asigurați că opținile de paritate și biți sunt incluse în definirea opțiunii console=.
Pentru majoritate cazurilor aceasta va însemna ca în loc să se pornească programul de instalare cu console=ttyS0,9600 ar trebui folosit console=ttyS0,9600n8.
i386: pornirea programului de instalare pe sisteme mai vechi ar putea eșua
Datorită unei regresii în încărcătorul de sistem syslinux, folosit pentru majoritatea imaginilor de instalare, anumite sisteme mai vechi ar putea să eșueze la încărcarea programului de instalare. Dacă pornirea se oprește după ce se afișează Loading initrd.gz...., ar trebui să încercați una dintre imaginile alternative, care folosesc o versiune mai veche de syslinux. Vedeți și raportul de problemă #415992.
amd64: formatarea unui sistem de fișiere ext2 nu este posibilă (reparat în 4.0r1)
Nu este posibilă crearea unui sistem de fișiere ext2 deoarece modulul de nucleul ext2 nu este disponibil. Această problemă va fi reparată la următoarea actualizare a programului de instalare pentru Etch.
powerpc: diverse probleme
Portarea PowerPC are diverse probleme în această versiune:
  • instalarea de pe dischete pe OldWorld PowerMac este stricată deoarece nu este creat un nod de dispozitiv pentru modulul swim3 și miboot nu este inclus
  • Modulul snd-powermac nu este încărcat implicit deoarece va bloca anumite sisteme. Va trebui să-l adăugați manual în /etc/modules
sparc: instalările de pe CD pentru sparc32 pot eșua
Modulul de nucleu esp este defect, ceea ce înseamnă că instalarea de pe CD-ROM este nefuncțională pentru majoritatea sistemelor sparc32. Vă sugerăm să folosiți în schimb metoda de instalare netboot.
sparc: programul de instalare pare să se blocheze în timpul încărcării
Există două cazuri în care programul de instalare pare să se blocheze în timpul încărcării, după afișarea textului Booting Linux.... Primul caz este când sunt prezente două plăci grafice (acesta este descris în Ghidul de instalare). Al doilea caz este rezultatul unui defect în driverul de nucleu ATI și afectează doar anumite plăci grafice ATI.
În ambele cazuri problema poate fi ocolită adăugând parametrul video=atyfb:off atunci când porniți instalatorul.
s390: funcții fără suport
  • suportul pentru DASD DIAG nu este disponibil momentan
  • nu mai este disponibil suportul pentru interfețe de rețea LCS